
/*
 * Title   : test-testutils
 * Author  : Tim Brecht
 * Date    : Thu Dec 23 21:05:43 EST 2004
 *
 * Simple driver to test failure cases in testutils.
 */

#include "testutils.h"

int
main()
{

  TEST_EQUAL(0, 1, "0 == 1");
  TEST_NOT_EQUAL(1, 1, "1 != 1");
  TEST_NEGATIVE(1, "1 is negative");
  TEST_POSITIVE(-1, "-1 is positive");

  TEST_VERBOSE_ON();
  TEST_EQUAL(0, 0, "0 == 0");
  TEST_NOT_EQUAL(0, 1, "0 != 1");
  TEST_NEGATIVE(-1, "-1 is negative");
  TEST_POSITIVE(1, "1 is positive");

  TEST_VERBOSE_OFF();
  TEST_EQUAL(0, 0, "0 == 0");
  TEST_NOT_EQUAL(0, 1, "0 != 1");
  TEST_NEGATIVE(-1, "-1 is negative");
  TEST_POSITIVE(1, "1 is positive");

  TEST_STATS();

  Halt();
}

